map = {0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,0,0,0,0,4,0,0,0,0,0,1,1,1,2,2,2,3,3,3,2,2,2,1,1,1,3,1,1,1,2,2,2,2,2,2,0,0,0,0,4,0,0,0,0,1,1,3,1,1,3,1,1,2,1,1,2,1,1,3,1,1,3,1,1,2,2,2,2,2,2,0,0,0,0,4,0,0,0,0,0,1,1,1,2,2,2,3,3,1,3,3,2,2,2,2,0,0,0,0,4,0,0,0,0,0,1,1,1,2,2,2,3,3,3,2,2,2,1,1,1,2,2,2,3,3,3,3,1,3,1,3,3,2,2,1,1,2,2,2,2,0,0,0,0,4,0,0,0,0,1,1,1,1,1,1,1,1,1,1}

tileSize = 20
render = 100 -- render distance
function level_update(dt)

end
slideDist = 15
slideSpeed = 300

fadeDist = 20
function level_draw()
	local ty = math.floor(player.y)
	for i=ty - 3,ty + render do
		if(i <= #map and i > 0) then
			if( i < ty) then
				if(map[i] == 1) then -- red
					love.graphics.setColor(255,0,0,((i-player.y)/4)*255)
					if(i%2 == 1) then
						love.graphics.rectangle("fill",(player.y-i-1)*fadeDist,i*tileSize,tileSize,tileSize)
					else
						love.graphics.rectangle("fill",-(player.y-i-1)*fadeDist,i*tileSize,tileSize,tileSize)
					end
				elseif(map[i] == 2) then -- green
					love.graphics.setColor(0,255,0,((i-player.y)/4)*255)
					if(i%2 == 1) then
						love.graphics.rectangle("fill",(player.y-i-1)*fadeDist,i*tileSize,tileSize,tileSize)
					else
						love.graphics.rectangle("fill",-(player.y-i-1)*fadeDist,i*tileSize,tileSize,tileSize)
					end
				elseif(map[i] == 3) then -- blue
					love.graphics.setColor(0,0,255,((i-player.y)/4)*255)
					if(i%2 == 1) then
						love.graphics.rectangle("fill",(player.y-i-1)*fadeDist,i*tileSize,tileSize,tileSize)
					else
						love.graphics.rectangle("fill",-(player.y-i-1)*fadeDist,i*tileSize,tileSize,tileSize)
					end
				end					
			elseif(ty + slideDist < i and (i-player.y)*slideSpeed > 0) then
				if(map[i] == 1) then -- red
					love.graphics.setColor(255,0,0)
					if(i%2 == 1) then
						love.graphics.rectangle("fill",(i-(player.y+slideDist))*slideSpeed,i*tileSize,tileSize,tileSize)
					else
						love.graphics.rectangle("fill",-(i-(player.y+slideDist))*slideSpeed,i*tileSize,tileSize,tileSize)
					end
				elseif(map[i] == 2) then -- green
					love.graphics.setColor(0,255,0)
					if(i%2 == 1) then
						love.graphics.rectangle("fill",(i-(player.y+slideDist))*slideSpeed,i*tileSize,tileSize,tileSize)
					else
						love.graphics.rectangle("fill",-(i-(player.y+slideDist))*slideSpeed,i*tileSize,tileSize,tileSize)
					end	
				elseif(map[i] == 3) then -- blue
					love.graphics.setColor(0,0,255)
					if(i%2 == 1) then
						love.graphics.rectangle("fill",(i-(player.y+slideDist))*slideSpeed,i*tileSize,tileSize,tileSize)
					else
						love.graphics.rectangle("fill",-(i-(player.y+slideDist))*slideSpeed,i*tileSize,tileSize,tileSize)
					end
					--love.graphics.print(i-(player.y+slideDist),0,i*tileSize)
				end				
			else
				if(map[i] == 1) then -- red
					love.graphics.setColor(255,0,0)
					love.graphics.rectangle("fill",0,i*tileSize,tileSize,tileSize)
				elseif(map[i] == 2) then -- green
					love.graphics.setColor(0,255,0)
					love.graphics.rectangle("fill",0,i*tileSize,tileSize,tileSize)		
				elseif(map[i] == 3) then -- blue
					love.graphics.setColor(0,0,255)
					love.graphics.rectangle("fill",0,i*tileSize,tileSize,tileSize)
				end
			end
		end
		love.graphics.setColor(255,255,255)
	end
end